ChiliProject - Task # 180: Review CodeRay 0.9.7 upgrade

Status: Closed Priority: Normal

Author: Eric Davis Category:

Created: 2011-02-11 Assignee: Eric Davis

Updated: 2011-11-04 Due date:

Remote issue URL:

Description: commit:b80b789 upgraded CodeRay. We should review what changes this includes and update our code and

documentation as needed.

Associated revisions

2008-03-21 08:59 pm - Jean-Philippe Lang
Load Engines plugin if available (closes #180).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1281 e93f8b46-1217-0410-a6f0-8f06a7374b81

History

2011-02-13 12:44 pm - Kornelius Kalnbach

I'd say that the update is simple (no APl changes) and mandatory (security update).

0.9.7 solves a bug that enables users to bring down the server with a bit of malicious source code sent to the JavaScript scanner.

2011-02-13 12:44 pm - Kornelius Kalnbach
<small>And it's CodeRay, not Coderay ;-)</small>

2011-02-13 04:30 pm - Felix Schéafer
- Subject changed from Review Coderay 0.9.7 upgrade to Review CodeRay 0.9.7 upgrade

(changed Coderay to CodeRay :-) )
2011-10-28 06:18 am - Felix Schéfer
Eric, AFAIK we're on CodeRay 0.9-latest, i.e. currently even CodeRay 0.9.8. Is there still anything you want to do here, or can we reject/close this

issue?

2011-10-28 07:28 am - Holger Just
Note that there is also #649 which updates CodeRay to 1.0. | think that issue supersedes this one.

2011-10-28 03:58 pm - Eric Davis
The list of changes and a diff of the code changes should be reviewed by someone.

2011-10-29 05:13 am - Kornelius Kalnbach
Let me help you :) Ask me anything.

2011-10-29 07:47 am - Kornelius Kalnbach
| want to try CodeRay 1.0 on master. Running the test suite gives me several errors (git adapter) a€” is this expected? Am | using the wrong branch?

2011-11-04 01:11 am - Eric Davis

- Status changed from Open to Closed

Just reviewed the changes between 0.9.2 and 0.9.7 and didn't find anything out of the ordinary.
